<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[24, 24]">
    <div nz-col class="gutter-row" nzLg="24">
      <span>{{
        'development.list-change-issue.applyIssue.changeIssueConfirm'
          | translate
      }}</span>
    </div>
    <div nz-col class="gutter-row" nzLg="24">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        formControlName="commentPublish"
        [mbMaxLength]="200"
        mbLabelText="{{
          'development.proposed-unit.detail.noteIssued' | translate
        }}"
        mbPlaceholderText="{{
          'development.proposed-unit.detail.noteIssued' | translate
        }}"
      ></mb-input-text>
    </div>
  </div>
</form>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.continue' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
